import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconThumbsUp as IconThumbsUpClass } from "../../../../components/icon/icons/thumbs-up.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconThumbsUp = (props) => {
  IconThumbsUpClass.define();
  const JSXElement = getReactComponent("gds-icon-thumbs-up");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconThumbsUp.displayName = "IconThumbsUp";
export {
  IconThumbsUp
};
